<?xml version="1.0" encoding="utf-8"?>
						<!-- foo/@bar is competing with foo/@* -->
						<element xmlns="http://relaxng.org/ns/structure/1.0" xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0" xmlns:rng="http://relaxng.org/ns/structure/1.0" xmlns:foo="foo" name="root">
							<element name="foo">
								<attribute name="bar">
									<data type="ID" datatypeLibrary="http://relaxng.org/ns/compatibility/datatypes/1.0"/>
								</attribute>
							</element>
							<element name="foo">
								<zeroOrMore>
									<attribute>
										<anyName/>
										<value>abc</value>
									</attribute>
								</zeroOrMore>
							</element>
						</element>
					